@charset "UTF-8";


.page-contact .contact-flow {
  display: grid;
  gap: 5.1rem;
  grid-template-columns: repeat(3, 1fr);
  width: -moz-fit-content;
  width: fit-content;
  margin: 0 auto 3.5rem;
}
.page-contact .contact-flow__step {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 0.3rem;
  aspect-ratio: 1/1;
  width: 5.6rem;
  border-radius: 50%;
  font-size: 1.3rem;
  line-height: 1;
  font-weight: 500;
  font-family: var(--fontEn);
  color: var(--colorBorder3);
  border: 1px dotted var(--colorBorder3);
  margin-inline: auto;
  position: relative;
}
.page-contact .contact-flow__step::after {
  content: "";
  display: block;
  width: 3.9rem;
  height: 0.2rem;
  background: var(--colorBorder3);
  position: absolute;
  left: calc(100% + 0.6rem);
  top: 50%;
  translate: 0 -50%;
}
.page-contact .contact-flow__item:last-child .contact-flow__step::after {
  content: none;
}
.page-contact .contact-flow__step__number {
  font-size: 1.7rem;
}
.page-contact .contact-flow__title {
  display: block;
  text-align: center;
  font-size: 1.4rem;
  font-weight: 500;
  color: var(--colorBorder3);
  margin-top: 0.5rem;
}
.page-contact .contact-flow__item--active .contact-flow__step {
  background: var(--colorAreaAll);
  color: #FFF;
  border: none;
}
.page-contact .contact-flow__item--active .contact-flow__title {
  color: var(--colorAreaAll);
}
.page-contact .contact-wrapper {
  padding-bottom: 6rem;
}
.page-contact .contact-form {
  width: 34.3rem;
  margin-inline: auto;
}
.page-contact .contact-form__body {
  display: grid;
  grid-template-columns: 1fr;
  gap: 2.4rem;
}
.page-contact .contact-form__block {
  display: grid;
  grid-template-columns: 1fr;
  gap: 0.6rem;
}
.page-contact .contact-form__block__head {
  display: flex;
  align-items: center;
  gap: 0.6rem;
}
.page-contact .contact-form--confirm .contact-form__body {
  gap: 0;
}
.page-contact .contact-form--confirm .contact-form__block {
  border-bottom: 1px solid var(--colorBorder4);
  padding-block: 1.4rem;
}
.page-contact .contact-form--confirm .contact-form__block:first-child {
  border-top: 1px solid var(--colorBorder4);
}
.page-contact .contact-form__label {
  font-size: 1.4rem;
  font-weight: 500;
  border-radius: 999rem;
  background: var(--colorBorder4);
  letter-spacing: 0.03em;
  width: 4.5rem;
  height: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}
.page-contact .contact-form__label--required {
  background: var(--colorMain1);
  color: #fff;
}
.page-contact .contact-form__title {
  font-size: 1.6rem;
  font-weight: 700;
}
.page-contact .contact-form__input {
  position: relative;
}
.page-contact .contact-form__input__content {
  border-radius: 0.6rem;
  border: 1px solid var(--colorBorder4);
  width: 100%;
  padding: 1.3rem 1.6rem;
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 1.4;
}
.page-contact .contact-form__block--error .contact-form__input__content {
  border-color: var(--colorMain1);
  background: rgba(230, 0, 18, 0.04);
}
.page-contact .contact-form__input--select::after {
  content: "";
  display: block;
  aspect-ratio: 1/1;
  width: 1.4rem;
  position: absolute;
  top: 50%;
  translate: 0 -50%;
  right: 1.5rem;
  border-radius: 50%;
  transition: translate 0.3s;
  background: #000;
  -webkit-mask: url("/assets/img/common/icon_arrow-right.svg") no-repeat center center/contain;
          mask: url("/assets/img/common/icon_arrow-right.svg") no-repeat center center/contain;
  z-index: 2;
  rotate: 90deg;
  pointer-events: none;
}
.page-contact .contact-form__input--select .contact-form__input__content {
  background: var(--colorBg3);
}
.page-contact .contact-form__input--textarea .contact-form__input__content {
  height: 16rem;
}
.page-contact .contact-form__error {
  color: var(--colorMain1);
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.6;
  margin-top: 0.5rem;
}
.page-contact .contact-form__foot-area {
  background: #F6F8F9;
  padding-block: 2.8rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2.6rem;
  border-radius: 0.8rem;
  margin: 3.5rem auto 0;
}
.page-contact .contact-form__agreement {
  position: relative;
  padding-left: 2.7rem;
  display: block;
}
.page-contact .contact-form__agreement::before {
  content: "";
  display: block;
  width: 2rem;
  aspect-ratio: 1/1;
  position: absolute;
  top: 50%;
  translate: 0 -50%;
  left: 0;
  border: 1px solid var(--colorBorder3);
}
.page-contact .contact-form__agreement::after {
  content: "";
  display: block;
  width: 1.2rem;
  rotate: -45deg;
  aspect-ratio: 12/7.06;
  position: absolute;
  top: calc(50% - 0.1rem);
  translate: 0 -50%;
  left: 0.4rem;
  border: solid #FFF;
  border-width: 0 0 2px 2px;
  opacity: 0;
}
.page-contact .contact-form__agreement:has(.contact-form__agreement__input:checked)::before {
  background: var(--colorAreaAll);
  border-color: var(--colorAreaAll);
}
.page-contact .contact-form__agreement:has(.contact-form__agreement__input:checked)::after {
  opacity: 1;
}
.page-contact .contact-form__agreement__input {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  cursor: pointer;
}
.page-contact .contact-form__agreement__text {
  font-size: 1.5rem;
  font-weight: 500;
}
.page-contact .contact-form__agreement__text a {
  position: relative;
  z-index: 2;
  text-underline-offset: 0.2rem;
}
.page-contact .contact-form__agreement__text a[target=_blank]::after {
  content: "";
  display: inline-block;
  width: 0.95em;
  aspect-ratio: 1/1;
  -webkit-mask: url("/assets/img/common/icon_external.svg") no-repeat center center/contain;
          mask: url("/assets/img/common/icon_external.svg") no-repeat center center/contain;
  margin: 0 0.4rem -0.16em 0.4rem;
  background: currentColor;
}
.page-contact .contact-form__confirm-content {
  font-size: 1.5rem;
  font-weight: 500;
}
.page-contact .contact-form__confirm-buttons {
  margin: 3.5rem auto 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1.6rem;
  width: -moz-fit-content;
  width: fit-content;
}
.page-contact .contact-finish {
  padding-inline: 1.6rem;
}
.page-contact .contact-finish__title {
  text-align: center;
  font-size: 2.2rem;
  font-weight: 700;
  line-height: 1.3;
  margin-bottom: 2.2rem;
}
.page-contact .contact-finish__text {
  font-size: 1.5rem;
  font-weight: 500;
  margin-top: 2rem;
}
.page-contact .contact-finish__text__bold {
  font-weight: 700;
}
.page-contact .contact-finish__details {
  border-radius: 0.6rem;
  border: 1px solid var(--colorBorder4);
  padding: 2.4rem;
  margin-top: 3rem;
}
.page-contact .contact-finish__details__title {
  color: var(--colorAreaAll);
  text-align: center;
  font-size: 1.7rem;
  font-weight: 700;
  margin-bottom: 0.9rem;
  text-align: center;
}
.page-contact .contact-finish__details__content {
  font-size: 1.5rem;
  width: -moz-fit-content;
  width: fit-content;
  margin-inline: auto;
}
.page-contact .contact-finish__details__button {
  margin-top: 3.5rem;
  width: -moz-fit-content;
  width: fit-content;
  margin-inline: auto;
}
@media (min-width: 768px){
  .page-contact .contact-flow {
    gap: 7rem;
    margin-bottom: 5rem;
  }
  .page-contact .contact-flow__step {
    width: 6rem;
    font-size: 1.4rem;
    gap: 0.5rem;
  }
  .page-contact .contact-flow__step::after {
    width: 4.6rem;
    left: calc(100% + 1.2rem);
  }
  .page-contact .contact-flow__step__number {
    font-size: 1.8rem;
  }
  .page-contact .contact-flow__title {
    font-size: 1.5rem;
    margin-top: 1rem;
  }
  .page-contact .contact-wrapper {
    padding-bottom: 10rem;
  }
  .page-contact .contact-form {
    width: min(85.6rem, 100% - var(--sidePaddingPc1) * 2);
  }
  .page-contact .contact-form__block {
    grid-template-columns: 26.3rem 1fr;
    gap: 0;
  }
  .page-contact .contact-form__block__head {
    gap: 1.2rem;
    height: -moz-fit-content;
    height: fit-content;
    min-height: 5rem;
  }
  .page-contact .contact-form--confirm .contact-form__block__head {
    min-height: auto;
  }
  .page-contact .contact-form__title {
    font-size: 1.7rem;
  }
  .page-contact .contact-form__foot-area {
    padding-block: 4rem;
    margin-top: 5rem;
  }
  .page-contact .contact-form__agreement__text {
    font-size: 1.6rem;
  }
  .page-contact .contact-form__confirm-content {
    font-size: 1.6rem;
    align-self: center;
  }
  .page-contact .contact-form__confirm-buttons {
    flex-direction: row-reverse;
    gap: 2.4rem;
    margin-top: 5rem;
  }
  .page-contact .contact-finish__title {
    font-size: 2.8rem;
    margin-bottom: 3rem;
  }
  .page-contact .contact-finish__text {
    text-align: center;
    margin-top: 3rem;
    font-size: 1.6rem;
  }
  .page-contact .contact-finish__details {
    width: 68rem;
    border-radius: 0.8rem;
    margin-inline: auto;
  }
  .page-contact .contact-finish__details__title {
    font-size: 1.9rem;
  }
  .page-contact .contact-finish__details__content {
    font-size: 1.6rem;
  }
  .page-contact .contact-finish__details__button {
    margin-top: 5rem;
  }
}